> ## Documentation Index
> Fetch the complete documentation index at: https://docs-beta.layerfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk match

> Confirm matches for multiple bank transactions. This should be used when platforms have pre-existing knowledge of what bank transactions are associated with a financial event such as an invoice payment or a payout.



## OpenAPI

````yaml post /v1/businesses/{businessId}/bank-transactions/bulk-match
openapi: 3.0.1
info:
  title: API
  version: latest
servers: []
security:
  - BearerAuth: []
tags: []
externalDocs:
  url: /
paths:
  /v1/businesses/{businessId}/bank-transactions/bulk-match:
    post:
      tags: []
      summary: Bulk match
      description: >-
        Confirm matches for multiple bank transactions. This should be used when
        platforms have pre-existing knowledge of what bank transactions are
        associated with a financial event such as an invoice payment or a
        payout.
      operationId: business.bank-transactions.bulk-match.post
      parameters:
        - name: businessId
          in: path
          description: The UUID of the business to confirm the matches for
          required: true
          schema:
            type: string
        - name: Content-Type
          in: header
          description: Content-Type must be set to application/json
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SuggestedMatchesWithTransactions'
      responses:
        '200':
          description: ''
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmptyResponse'
        '400':
          description: >-
            Match failure. Most likely because transaction ids are not unique or
            match ids are not unique.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '404':
          description: >-
            Id of the business, or one of the specified bank transaction or
            match ids, is not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
      deprecated: false
components:
  schemas:
    SuggestedMatchesWithTransactions:
      type: object
      properties:
        match_pairs:
          type: array
          items:
            $ref: '#/components/schemas/SuggestedMatchWithTransaction'
          description: List of transactions with their suggested match
    EmptyResponse:
      type: object
      properties:
        type:
          type: string
          description: >-
            Resource type. Value will be
            'com.layerfi.controllers.EmptyResponse'.
          example: '{}'
    ApiError:
      type: object
      properties: {}
      example: ''
      description: ''
    SuggestedMatchWithTransaction:
      type: object
      properties:
        transaction_id:
          type: string
          format: uuid
          description: ID of the transaction to match.
        suggested_match_id:
          type: string
          format: uuid
          description: >-
            ID of the transaction, invoice payment, etc to match the transaction
            with.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````